<?php
/**
 * Sidebars and widgets related functions
 *
 * @since 1.0.0
 */

add_action( 'widgets_init', 'ignition_blockchain_register_widgets' );
/**
 * Registers widgets.
 *
 * @since 1.0.0
 */
function ignition_blockchain_register_widgets() {
	require_once get_theme_file_path( '/inc/widgets/coinmarketcap-ticker.php' );
	register_widget( 'Ignition_Blockchain_Widget_Coinmarketcap_Ticker' );

	require_once get_theme_file_path( '/inc/widgets/coinmarketcap-single.php' );
	register_widget( 'Ignition_Blockchain_Widget_Coinmarketcap_Single' );

	require_once get_theme_file_path( '/inc/widgets/coinmarketcap-global.php' );
	register_widget( 'Ignition_Blockchain_Widget_Coinmarketcap_Global' );
}
