<?php
/**
 * Customizer section options: Utilities - CoinMarketCap
 *
 * @since 1.0.0
 */

/** @var WP_Customize_Manager $wp_customize Reference to the customizer's manager object. */
$wp_customize->add_section( 'utilities_coinmarketcap', array(
	'title'    => esc_html_x( 'CoinMarketCap', 'customizer section title', 'ignition-blockchain' ),
	'panel'    => 'utilities',
	'priority' => 40,
) );

// This call is expensive, so make sure we don't call it unnecessarily.
$customizer_options = ignition_customizer_options( 'all' );

$args = $customizer_options['theme_coinmarketcap_api_key'];
$wp_customize->add_setting( 'theme_coinmarketcap_api_key', $args['setting_args'] );
$wp_customize->add_control( 'theme_coinmarketcap_api_key', $args['control_args'] );
